{% extends 'static.html' %} {% block content %}
<title>Detail Adopsi</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
{% if request.session.Role == 'Karyawan' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
  font-family: 'Poppins', sans-serif;
  font-size: 30px;
  font-weight: 600;">RAD</span>
  </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Event
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event/create-event">Create Event</a>
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Adopsi
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi/create-adopsi">Create Adopsi</a>
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          Statistik
        </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %} {% if request.session.Role == 'Customer' %}
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <!-- <a class="navbar-brand" href="/">
        <div class="logo-image">
            <img src="SIRADLOGO.png" alt="img" style="max-width: 20px; max-height: 24px"></img>
        </div>
    </a> -->
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Create Appointment</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/adopsi">List Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
{% endif %}
<br><br>
<head>
    <title>Detail Adopsi</title>
    <script src="https://kit.fontawesome.com/98a151f25f.js" crossorigin="anonymous"></script>
</head>
<div class="container">
    <!-- Outer Row -->
    <main id="main">
        <section>
            <div class="container-fluid text-center">
                <br>
                <h2 style="color:#000000;
                font-family: 'Poppins', sans-serif;
                font-size: 24px;
                font-weight: 600;">Detail Hewan Adopsi</h2>
                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <a href="/adopsi" class="text-left">
                            <p> <i class="fa-solid fa-chevron-left"></i>&nbsp;&nbsp; Daftar Hewan Adopsi</p>
                        </a>
                    </div>
                </div>


                <div class="row justify-content-center">
                    <div class="col-md-8">
                        <div class="card" style="padding-left: 50px;">
                            <div class="card-body">
                                    {% csrf_token %}
                                    
                                        <div class="row justify-content-center">                                                          
                                            <div class="col-md-6 text-right">   
                                            </div>
                                            {% if button_bool == 1 %} 
                                            <div class="col-md-6 text-right">
                                                {% if reg_adopsi.0.status == 'Menunggu konfirmasi' %}                                                                  
                                                    <p style="text-align: center; 
                                                    font-weight: bold; 
                                                    background-color:orange; 
                                                    border: 1px solid orange; 
                                                    padding: 3px; 
                                                    border-radius: 10px;">{{reg_adopsi.0.status}}</p>                          
                                                
                                                {% elif reg_adopsi.0.status == 'Disetujui' %}
                                                    <p style="text-align: center; 
                                                    font-weight: bold; 
                                                    background-color:greenyellow; 
                                                    border: 1px solid greenyellow; 
                                                    padding: 3px; 
                                                    border-radius: 10px;">{{reg_adopsi.0.status}}</p>
                                                {% else %}
                                                    <p style="text-align: center; 
                                                    font-weight: bold; 
                                                    color: white;
                                                    background-color:red; 
                                                    border: 1px solid red; 
                                                    padding: 3px; 
                                                    border-radius: 10px;">{{reg_adopsi.0.status}}</p>               
                                                {% endif %}
                                        </div>
                                        {% endif %}
                                    </div>

                                    <div class="form-group">
                                        <div class="row mt-4">
                                                <h2 for="title" class="text-left">{{adopsi.0.1}}</h2>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4 text-left">Jenis Hewan :</label>
                                            <div class="col-sm-8 text-left">
                                                <label for="title">{{adopsi.0.2}}</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4 text-left">Ras :</label>
                                            <div class="col-sm-8 text-left">
                                                <label for="title">{{adopsi.0.3}}</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4 text-left">Warna :</label>
                                            <div class="col-sm-8 text-left">
                                                <label for="title">{{adopsi.0.4}}</label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="row mt-4">
                                            <label class="col-sm-4 text-left">Deskripsi :</label>
                                            <div class="col-sm-8 text-left">
                                                <label for="title">{{adopsi.0.5}}</label>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <!-- {% if request.session.Role == 'Customer' %}                                   
                                        <a class="btn btn-primary" href="/adopsi/register-adopsi/{{ adopsi.0.0 }}"> Ajukan Adopsi</a>                                      
                                    {% endif %} -->
                
                                    {% if role == 'Customer' %}
                                        {% if button_bool == 0 %}
                                            <div class="mt-5 text-center">
                                                <a href="/adopsi/register-adopsi/{{ adopsi.0.0 }}">
                                                    <button class="btn btn-primary px-4" type="submit">Ajukan Adopsi</button>
                                                </a>
                                            </div>
                                            <br>
                                        {% else %}
                                        <label style="color: #107bef;">✅ Anda sudah mengajukan adopsi untuk hewan ini.</label>
                                        {% endif %}
                                    {% endif %}

                                </div>
                            </div>
                        </div>
                    </div>
                    <br><br>
                    <!-- Tabel List Pendaftar Adopsi untuk Karyawan -->
                    {% if request.session.Role == 'Karyawan' %}
                    <div class="row justify-content-center">
                        <!-- <div class="col-md-8"> -->
                            <div class="card" style="padding-left: 50px;">
                                <div class="card-body">
                                <div class="row mt-4">
                                    <label class="col-sm-4 text-left"><i class="fa-solid fa-user-group"></i>&nbsp;&nbsp;&nbsp;List Pendaftar:</label>  
                                </div>
                                    {% if reg_adopsi %}                           
                                        <table class="table table-bordered">
                                            <thead class="table-dark">
                                                <tr>
                                                    <th class="table-label" scope="col" style="font-family: 'Poppins', sans-serif;">No</th>
                                                    <th class="table-label" scope="col" style="font-family: 'Poppins', sans-serif;">ID</th>
                                                    <th class="table-label" scope="col" style="font-family: 'Poppins', sans-serif;">Nama</th>                                                   
                                                    <th class="table-label" scope="col" style="font-family: 'Poppins', sans-serif;">Email</th>
                                                    <th class="table-label" scope="col" style="font-family: 'Poppins', sans-serif;">No Telepon</th>
                                                    <th class="table-label" scope="col" style="font-family: 'Poppins', sans-serif;">Tanggal Terdaftar</th>
                                                    <th class="table-label" scope="col" style="font-family: 'Poppins', sans-serif;">Aksi</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for i in reg_adopsi %}
                                                <tr>
                                                    <td style="font-family: 'Poppins', sans-serif;">{{ forloop.counter }}</td>
                                                    <td style="font-family: 'Poppins', sans-serif;">{{ i.id }}</td>
                                                    <td style="font-family: 'Poppins', sans-serif;">{{i.customer.first_name}} {{i.customer.last_name}}</td>
                                                    <td style="font-family: 'Poppins', sans-serif;">{{ i.customer.email }}</td>
                                                    <td style="font-family: 'Poppins', sans-serif;">{{ i.customer.no_telepon }}</td>
                                                    <td style="font-family: 'Poppins', sans-serif;">{{ i.date }}</td>
                                                    <td class="text-center">
                                                        {% if i.status == 'Menunggu konfirmasi' and  i.hewan.status == 'Belum diadopsi' %}
                                                            <a href="/adopsi/approve-adopsi/{{ i.hewan.hewan_id }}/{{ i.id }}">
                                                                <button class="btn btn-info" onclick="return confirm('⚠️ Apakah Anda yakin ingin MENYETUJUI adopsi hewan ini?')">Setujui</button>
                                                            </a>
                                                            <a href="/adopsi/disapprove-adopsi/{{ i.hewan.hewan_id }}/{{ i.id }}">
                                                                <button class="btn btn-danger" onclick="return confirm('⚠️ Apakah Anda yakin ingin TIDAK MENYETUJUI adopsi hewan ini?')">Tidak Setujui</button>
                                                            </a>
                                                        {% elif i.status == 'Disetujui' %}
                                                            <label style="font-style: italic; color: #107bef;">Sudah disetujui.</label>
                                                        {% else %}
                                                            <label style="font-style: italic; color: #ef1017;">Tidak disetujui.</label>
                                                        {% endif %}
                                                    </td>
                                                </tr>
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    {% else %}
                                    <div class="row mt-4">
                                        <label class="col-sm-4 text-left" style="font-style: italic; color: #107bef;">Belum ada pendaftar.</label>
                                    </div>
                            
                        {% endif %} {% endif %}
                        </div></div></div>
                </div>
                <br>

            
            </div>
        </section>
    </main>
</div>


{% endblock content %}
